=== debian/changelog ===
orcania (2.1.1-4) unstable; urgency=medium

  * d/control: Update Standards-Version to 4.5.1 (no change)
  * d/control: add breaks/replaces liborcania1.2

 -- Nicolas Mora <babelouest@debian.org>  Fri, 25 Dec 2020 09:52:03 -0500

orcania (2.1.1-3) unstable; urgency=medium

  * upload to unstable
  * d/rules: Remove specific rules to build package for arch kfreebsd-amd64
    and kfreebsd-i386 using make instead of cmake
    Not only it didn't work, but it wasn't worth it

 -- Nicolas Mora <babelouest@debian.org>  Sun, 19 Jul 2020 19:51:12 -0400

orcania (2.1.1-2) experimental; urgency=medium

  * d/control: Remove dh-exec from builddep
  * d/rules: enable dh_install
  * d/*.install: Do not use dh-exec
  * d/copyright: clean copyright licenses
  * d/patches: remove patches, now applied upstream
  * d/rules: Add specific rules to build package for arch kfreebsd-amd64 and
    kfreebsd-i386 using make instead of cmake

 -- Nicolas Mora <babelouest@debian.org>  Sun, 19 Jul 2020 08:49:58 -0400

orcania (2.1.1-1) unstable; urgency=medium

  * New upstream release
  * d/patches: remove doc patch

 -- Nicolas Mora <nicolas@babelouest.org>  Mon, 06 Jul 2020 07:58:42 -0400

orcania (2.1.0-4) unstable; urgency=medium

  * Upload to unstable
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Nicolas Mora <nicolas@babelouest.org>  Sat, 27 Jun 2020 09:21:07 -0400

orcania (2.1.0-3) experimental; urgency=medium

  * d/liborcania-dev.doc-base: fix Author
  * d/copyright: fix uploader e-mail address
  * d/control: replace debhelper with debhelper-compat
  * d/control: set compat version to 13
  * d/control: add Rules-Requires-Root: no

 -- Nicolas Mora <nicolas@babelouest.org>  Wed, 03 Jun 2020 07:10:12 -0400

orcania (2.1.0-2) experimental; urgency=medium

  * d/rules: generate doc using doxygen
  * d/tests/unit-test: add pointer_list_test
  * d/liborcania-dev.docs: install documentation

 -- Nicolas Mora <nicolas@babelouest.org>  Thu, 02 Apr 2020 21:44:30 -0400

orcania (2.1.0-1) experimental; urgency=medium

  * debian/control: New upstream release
  * debian/control: Remove libjansson dependency
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/copyright: fix copyright issues

 -- Nicolas Mora <nicolas@babelouest.org>  Wed, 19 Feb 2020 08:02:12 -0500

orcania (1.2.9-6) unstable; urgency=medium

  * debian/control: Add Multi-Arch: same

 -- Nicolas Mora <nicolas@babelouest.org>  Tue, 08 Jan 2019 20:30:43 -0500
