=== debian/control ===
Source: orcania
Section: devel
Priority: optional
Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
          , Nicolas Mora <babelouest@debian.org>
Build-Depends: debhelper-compat (= 13)
	, autopkgtest (>= 5.6~)
	, cmake
	, check
	, doxygen
  , pkg-config
Standards-Version: 4.5.1
Homepage: https://github.com/babelouest/orcania
Vcs-Browser: https://salsa.debian.org/debian-iot-team/oauth2/orcania.git
Vcs-Git: https://salsa.debian.org/debian-iot-team/oauth2/orcania.git
Rules-Requires-Root: no

Package: liborcania2.1
Replaces: liborcania1.2
Breaks: liborcania1.2
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for angharad programs
 Different functions for different purposes but that can be shared
 between other projects
 .
 Basically these are used for other programs in the anghard project.

Package: liborcania-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liborcania2.1 (= ${binary:Version})
	, ${misc:Depends}
Description: library for angharad programs, development files
 Different functions for different purposes but that can be shared
 between other projects
 .
 Basically these are used for other programs in the anghard project.
 .
 This package contains the development files.
