## orcania 2.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 set(PROJECT_HOMEPAGE_URL "https://github.com/babelouest/orcania/")
 set(PROJECT_BUGREPORT_PATH "https://github.com/babelouest/orcania/issues")
 set(LIBRARY_VERSION_MAJOR "2")
-set(LIBRARY_VERSION_MINOR "1")
+set(LIBRARY_VERSION_MINOR "2")
 set(LIBRARY_VERSION_PATCH "1")
 set(LIBS "-lm")
 
@@ -84,6 +84,7 @@
 
 set(INC_DIR ${CMAKE_CURRENT_SOURCE_DIR}/include)
 set(SRC_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)
+set(BASE64URL_DIR ${CMAKE_CURRENT_SOURCE_DIR}/tools/base64url)
 
 include_directories(${INC_DIR})
 
@@ -156,6 +157,19 @@
     endif ()
 endif ()
 
+# build base64url
+
+option(BUILD_BASE64URL "Build base64url application." ON)
+
+if (BUILD_BASE64URL)
+    add_executable(base64url ${BASE64URL_DIR}/base64url.c ${INC_DIR}/orcania.h ${PROJECT_BINARY_DIR}/orcania-cfg.h)
+    set_target_properties(base64url PROPERTIES SKIP_BUILD_RPATH TRUE)
+    add_dependencies(base64url orcania)
+    target_link_libraries(base64url orcania ${LIBS})
+    install(TARGETS base64url RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+    install(FILES ${BASE64URL_DIR}/base64url.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 COMPONENT runtime)
+endif ()
+
 # tests
 
 option(BUILD_ORCANIA_TESTING "Build the testing tree." OFF) # because we do not use include(CTest)
@@ -293,8 +307,9 @@
         COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
 
 message(STATUS "Force inline implementation of strstr: ${WITH_STRSTR}")
-message(STATUS "Build static library: ${BUILD_STATIC}")
-message(STATUS "Build testing tree: ${BUILD_ULFIUS_TESTING}")
-message(STATUS "Install the header files: ${INSTALL_HEADER}")
-message(STATUS "Build RPM package: ${BUILD_RPM}")
-message(STATUS "Build documentation: ${BUILD_ORCANIA_DOCUMENTATION}")
+message(STATUS "Build static library:                  ${BUILD_STATIC}")
+message(STATUS "Build testing tree:                    ${BUILD_ORCANIA_TESTING}")
+message(STATUS "Install the header files:              ${INSTALL_HEADER}")
+message(STATUS "Build RPM package:                     ${BUILD_RPM}")
+message(STATUS "Build documentation:                   ${BUILD_ORCANIA_DOCUMENTATION}")
+message(STATUS "Build base64url application:           ${BUILD_BASE64URL}")
