=== debian/changelog ===
orcania (2.2.1-1) unstable; urgency=medium

  * New upstream release
  * d/rules: do not build base64url, conflicted name with package basez
  * d/copyright: removed obsolete file mention

 -- Nicolas Mora <babelouest@debian.org>  Mon, 06 Sep 2021 19:32:08 -0400
