=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Vcs-Git: https://salsa.debian.org/debian-iot-team/oauth2/orcania.git
 Rules-Requires-Root: no
 
-Package: liborcania2.1
+Package: liborcania2.2
 Replaces: liborcania1.2
 Breaks: liborcania1.2
 Architecture: any
@@ -34,7 +34,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: liborcania2.1 (= ${binary:Version})
+Depends: liborcania2.2 (= ${binary:Version})
 	, ${misc:Depends}
 Description: library for angharad programs, development files
  Different functions for different purposes but that can be shared
