=== debian/tests/control ===
Tests: unit-test
Depends: @, gcc, libc-dev, check, libsubunit-dev, pkg-config
