=== debian/changelog ===
orcania (2.3.0-2) unstable; urgency=medium

  * Reupload to unstable as source package

 -- Nicolas Mora <babelouest@debian.org>  Thu, 02 Jun 2022 18:52:38 -0400

orcania (2.3.0-1) unstable; urgency=medium

  * New upstream release
  * d/liborcania2.2.symbols: Set correct version for o_strnullempty
  * d/copyright: add tools/base64url/*

 -- Nicolas Mora <babelouest@debian.org>  Mon, 30 May 2022 07:01:07 -0400

orcania (2.2.2-3) unstable; urgency=medium

  * d/control: Add Breaks libiddawc1.1 (<= 1.1.1)
  * d/control: unify packages description

 -- Nicolas Mora <babelouest@debian.org>  Mon, 18 Apr 2022 16:27:41 -0400

orcania (2.2.2-2) unstable; urgency=medium

  * d/u/metadata: Add metdata
  * d/control: Update packages description

 -- Nicolas Mora <babelouest@debian.org>  Sun, 17 Apr 2022 08:30:03 -0400

orcania (2.2.2-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: update years
  * d/control: Update Standards-Version to 4.6.0 (no change)
  * d/liborcania2.2.symbols: Add symbol o_strnullempty

 -- Nicolas Mora <babelouest@debian.org>  Mon, 11 Apr 2022 07:48:56 -0400
